io.undertow.server.handlers.encoding

## Class ContentEncodedResourceManager

- java.lang.Object
- - io.undertow.server.handlers.encoding.ContentEncodedResourceManager

    public class ContentEncodedResourceManager
    extends Object

Class that provides a way of serving pre-encoded resources.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ContentEncodedResourceManager(Path encodedResourcesRoot, CachingResourceManager encodedResourceManager, ContentEncodingRepository contentEncodingRepository, int minResourceSize, int maxResourceSize, Predicate encodingAllowed)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContentEncodedResource` `getResource(Resource resource, HttpServerExchange exchange)` Gets a pre-encoded resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentEncodedResourceManager

    public ContentEncodedResourceManager(Path encodedResourcesRoot,
                                         CachingResourceManager encodedResourceManager,
                                         ContentEncodingRepository contentEncodingRepository,
                                         int minResourceSize,
                                         int maxResourceSize,
                                         Predicate encodingAllowed)

### Method Detail

#### getResource

    public ContentEncodedResource getResource(Resource resource,
                                              HttpServerExchange exchange)
                                       throws IOException

Gets a pre-encoded resource.

TODO: blocking / non-blocking semantics

Parameters:
  `resource` -
  `exchange` -
Returns:
Throws:
  `IOException`